summaryrefslogtreecommitdiffstats
path: root/office/t-prot/t-prot.SlackBuild
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2016-08-01 23:46:18 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-03 07:29:29 +0700
commit26287db095850b6ceefd5ce8c4a998091601216f (patch)
treea4db2de60e2c7f901a11352669ad65b27b9711dd /office/t-prot/t-prot.SlackBuild
parent6518cb93bba712b6bed5716dffb9c75177044900 (diff)
downloadslackbuilds-26287db095850b6ceefd5ce8c4a998091601216f.tar.gz
slackbuilds-26287db095850b6ceefd5ce8c4a998091601216f.tar.xz
office/t-prot: Added (TOFU protection script).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/t-prot/t-prot.SlackBuild')
-rw-r--r--office/t-prot/t-prot.SlackBuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/office/t-prot/t-prot.SlackBuild b/office/t-prot/t-prot.SlackBuild
new file mode 100644
index 0000000000..40e5c3c35a
--- /dev/null
+++ b/office/t-prot/t-prot.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for t-prot
+
+# Copyright 2013, Andrew Clemons, Wellington, New Zealand
+# Copyright 2015, Andrew Clemons, Leimen, Germany
+# Copyright 2016, Andrew Clemons, Wellington, New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=t-prot
+VERSION=${VERSION:-3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/"$PRGNAM"-"$VERSION".tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -p -m 755 t-prot $PKG/usr/bin/t-prot
+install -D -p -m 444 t-prot.1 $PKG/usr/man/man1/t-prot.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog README TODO contrib $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}